import React from 'react'
/**
 * UICraft.io - Essential Pack Icons
 * Get the Full Pack at https://uicraft.io/icons
 * Terms & Conditions: https://uicraft.io/icons#terms
 * Author: @dorinvancea
 */
import Icons from './uicraft-icons.json'

const Icon = (props) => {
  const { name, size, color } = props;
  return (
    <svg {...props} width={size} height={size} viewBox="0 0 40 40" fill="none" xmlns="http://www.w3.org/2000/svg">
      <path d={Icons[name]} fill={color} />
    </svg>
  )
}

Icon.defaultProps = {
  size: '40',
  name: 'settings',
  color: '#5F666D',
}

export default Icon